cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers/employer-aliases/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aliases": [
{
"type": "IDENTIFIER",
"value": "ACME12345"
},
{
"type": "IDENTIFIER",
"value": "ACME67890"
}
]
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers/employer-aliases/resolve"
payload = { "aliases": [
{
"type": "IDENTIFIER",
"value": "ACME12345"
},
{
"type": "IDENTIFIER",
"value": "ACME67890"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aliases: [
{type: 'IDENTIFIER', value: 'ACME12345'},
{type: 'IDENTIFIER', value: 'ACME67890'}
]
})
};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers/employer-aliases/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"alias": {
"type": "IDENTIFIER",
"value": "ACME12345"
},
"employerIdentifier": "01936a3f-0001-4000-8000-000000000001"
},
{
"alias": {
"type": "IDENTIFIER",
"value": "ACME67890"
},
"employerIdentifier": null
}
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Employer Identifiers
Resolve Employer Aliases
Accepts a list of employer company identifiers and returns their corresponding UUIDs
POST
/
v1
/
employer-identifiers
/
employer-aliases
/
resolve
cURL
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Body
application/json
List of company identifier values to map
List of company identifier values to map (max 100)
Maximum array length:
100Show child attributes
Show child attributes
Response
Employer aliases resolved successfully
Show child attributes
Show child attributes